* {
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
    /* Opcional: Puedes ajustar el peso de la fuente */
}

form,
.container {
    max-width: 300px;
    padding: 50px;
    margin: 0 auto;
    background-color: #fff;
    border-radius: 5px;
    position: relative;
    border-radius: 20px;
}

#boton2,
#boton1 {
    position: absolute;
    left: 10px;
    top: 40px;
}

#boton1 {
    left: 170px;
}

.nom {
    color: #fff;
    font-size: 14px;
}

.titulo {
    width: 100%;
    height: 100%;
    top: -10px;
    left: 50;
    color: #82cc0e;
    font-size: 20px;
    font-weight: bold;
    width: 100%;
    text-align: center;
}

h2 {
    color: #fff;
    text-align: center;
    font-size: 18px;
}

h3 {
    color: rgba(0, 0, 0, 0.7);
    text-align: center;
    font-size: 22px;
}

label {
    margin-bottom: 1px;
    color: #fff;
}

body {
    background-color: white;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-image: url();
}

input[type="text"],
input[type="email"],
input[type="number"],
input[type="datetime"],
input[type="tel"],
input[type="cuota"] {
    width: 100%;
    padding: 5px;
    border-radius: 4px;
    margin-bottom: 10px;
    box-sizing: border-box;
    text-decoration: none;
    background-color: rgb(0, 0, 0, 0.7);
    border-color: #fff;
    color: #fff;
}

textarea {
    width: 100%;
    padding: 5px;
    border-radius: 10px;
    margin-bottom: 10px;
    box-sizing: border-box;
    text-decoration: none;
    background-color: rgb(0, 0, 0, 0.7);
    border-color: #fff;
    color: #fff;
}

.user-box {
    height: 50px;
    text-align: center;
}

#token {
    background-color: #e2e2e2;
    border-radius: 20px;
    text-align: center;
    color: black;
}

label {
    width: 100%;
    text-align: center;
}

select {
    width: 100%;
    padding: 5px;
    border-radius: 10px;
    margin-bottom: 10px;
    box-sizing: border-box;
    text-decoration: none;
    background-color: rgb(0, 0, 0, 0.7);
    border-color: #fff;
    color: #fff;
}

input[type="submit"] {
    position: relative;
    left: 8%;
    top: 10px;
    background-color: #82cc0e;
    color: #fff;
    padding: 10px 15px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    margin-bottom: 10px;
    width: 250px;
}
.regresar{
       position: relative;
    left: 8%;
    top: 10px;
    background-color: #82cc0e;
    color: #fff;
    padding: 10px 15px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    margin-bottom: 10px;
    width: 250px;
}

input[type="submit"]:hover {
    transition: transform 0.3s;
    background-color: rgba(107, 161, 0, 0.933);
    transform: scale(1.1);
}
.regresar:hover {
    transition: transform 0.3s;
    background-color: rgba(107, 161, 0, 0.933);
    transform: scale(1.1);
}

html {
    height: 100%;
}
#username, #password{
    color: black;
    text-align: center;
}

.container {
    display: grid;
    width: auto;
    height: auto;
}

.validacion {
    top: 50%;
    position: absolute;
    left: 50%;
    width: 500px;
    padding: 40px;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, .6);
    box-sizing: border-box;
    box-shadow: 0 15px 25px rgba(0, 0, 0, .6);
    border-radius: 10px;
}

.validacion h2 {
    margin: 0 0 30px;
    padding: 0;
    color: #82cc0e;
    text-align: center;
}

.validacion .user-box {
    position: relative;
}

.validacion .user-box input {
    width: 100%;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    margin-bottom: 30px;
    border: none;
    border-bottom: 1px solid #fff;
    outline: none;
    background: transparent;
}

option {
    color: black;
}

select {
    width: 100%;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    margin-bottom: 30px;
    border: none;
    border-bottom: 1px solid #fff;
    outline: none;
    background: transparent;
}

.validacion .user-box label {
    position: absolute;
    top: 0;
    left: 0;
    padding: 10px 0;
    font-size: 16px;
    color: black;
    pointer-events: none;
    transition: .5s;
}

.validacion .user-box input:focus~label,
.validacion .user-box select:valid~label,
.validacion .user-box input:valid~label {
    top: -26px;
    left: 0;
    color: #82cc0e;
    font-size: 12px;
}

.validacion form a {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    color: #03e9f4;
    font-size: 16px;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
    transition: .5s;
    margin-top: 40px;
    letter-spacing: 4px
}

.seccion02 {
    position: relative;
    left: 200px;
}

.fondo {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: black;
    mask-repeat: no-repeat;
    font-family: 'Lato', sans-serif;
}

.message, #mensaje {
    margin-top: 1rem;
    color: red;
}

.cerarcuenta {
    display: inline-block;
    padding: 10px 20px;
    background-color: #007bff;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.2s;
    font-size: 13px;
    /* Posicionamiento */
    position: fixed;
    /* Cambia a absolute si quieres que se desplace con el scroll */
    top: 10px;
    /* Espacio desde la parte superior */
    left: 10px;
    /* Espacio desde la izquierda */
    /* Asegura que esté encima de otros elementos */
}

.cerarcuenta:hover {
    background-color: #0056b3;
    /* Color de fondo al pasar el cursor */
    transform: scale(1.05);
    /* Efecto de aumento al pasar el cursor */
}

.cerarcuenta:active {
    transform: scale(0.95);
    /* Efecto de disminución al hacer clic */
}